Bug Hunting Session
Bug 57932 - LibreOffice will not open multiple documents simultaneously from within Windows Explorer
Summary: LibreOffice will not open multiple documents simultaneously from within Windo...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Desktop-Integration
  Show dependency treegraph
 
Reported: 2012-12-06 03:06 UTC by Ben
Modified: 2018-11-01 11:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot demonstrating that LibreOffice will not open multiple documents simultaneously from within Windows Explorer (21.31 KB, image/png)
2012-12-06 03:06 UTC, Ben
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben 2012-12-06 03:06:44 UTC
Created attachment 71068 [details]
Screenshot demonstrating that LibreOffice will not open multiple documents simultaneously from within Windows Explorer

If I select several LibreOffice documents simultaneously and attempt to open them all at once -- either by pressing the Enter key -- nothing happens. If I then attempt to right-click any of the selected documents and choose "Open" from the right-click context menu, I find the "Open" option to be missing from the context menu.

Please see attached screenshot for example.
Comment 1 Ken Biondi 2013-06-28 06:12:15 UTC
I was unable to recreate this bug.  If this is still a bug for you please change the status back to UNCONFIRMED and provide more information if possible.

I tested using:

Version 3.6.3.2 (Build ID: 58f22d5)
WIN 8 x86_64
Comment 2 Ben 2013-06-28 23:14:56 UTC
The problem still occurs.

The key piece of information that I failed to realize until just now is that a .csv file must be among the multiple files that are selected. (This was demonstrated in the attached screenshot; I simply didn't realize its significance previously.) Apparently, adding the .csv file is what causes the "Open" option to disappear from the context menu and renders the Enter key useless.

Presumably, .csv is not the only file type that will cause this problem.
Comment 3 Ken Biondi 2013-06-29 18:34:27 UTC
I tested again attempting to open multiple .csv files and was not able to recreate this bug.  I tested using WIN 8.  What version of Windows are you using?
Comment 4 Joel Madero 2013-06-29 19:45:06 UTC
This is really an interesting one, took quite a few tests but I have pinpointed xls as the culprit NOT csv. 

To confirm this, save a xls, csv and ods in the same folder. Mix and match from explorer (highlight and right click, see if "open" is present). If you have xls highlighted with either ods or csv, the open option disappears - while if you have csv + ods highlighted you can open fine as long as you have the csv set to open with LibreOffice by default (vs. MSO or some other software)

I am not 100% that this is our bug but I'll prioritize, if there is some technical reason why we can't fix it (most likely something to do with Windows doing stupid stuff that we can't control) a developer can close the bug.

Trivial - doesn't prevent nor slow down high quality work - really just a very very minor annoyance that has probably been around since OOo days. 

Medium - default is lowest but I think medium is good here since it's not behaving consistently dependent on file type - again this very well could be NOTOURBUG but definitely confirmed the behavior you're speaking of.


Windows 7
LibreOffice 4.1 RC1
Comment 5 A (Andy) 2014-09-27 10:30:33 UTC
reproducible with LO 4.3.2.2 (Win 8.1)

But it does not depend on the csv file.  Always if you select several different file types at once you can't open them (e.g. select a xls and a ods, rtf and odt, odt and odg or odt and odp, ...).  As long as you select only one identical file type it works.  But what is a little bit strange, if you select a doc and docx then it also works.
Comment 6 QA Administrators 2015-10-14 19:58:27 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2016-11-08 11:42:40 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20161108